//
//  PromptImageView.swift
//  MobilePortal
//
//  Created by caiyang on 2020/4/7.
//  Copyright © 2020 yin chen. All rights reserved.
//

import UIKit

class PromptImageView: UIImageView {
    
    lazy var titleLabel: UILabel = {
        let titleLabel = UILabel.init()
        titleLabel.textAlignment = .left
        titleLabel.text = "尊敬的先生/女士"
        titleLabel.numberOfLines = 0
        titleLabel.font = UIFont.test_systemFont(ofSize: 12)
        titleLabel.textColor = UIColor.white
        self.addSubview(titleLabel)
        return titleLabel
    }()
    lazy var subLabel: UILabel = {
        let subLabel = UILabel.init()
        subLabel.textAlignment = .left
        subLabel.text = "您是否想了解以下问题"
        subLabel.numberOfLines = 0
        subLabel.font = UIFont.test_systemFont(ofSize: 14)
        subLabel.textColor = UIColor.white
        self.addSubview(subLabel)
        return subLabel
    }()
    
    override init(frame: CGRect) {
        super.init(frame: frame)
        self.image = UIImage.init(named: "promptBackground_image")
        titleLabel.frame = CGRect(x:20.67, y: 15, width:self.width , height:13 )
        subLabel.frame = CGRect(x:titleLabel.originX, y: titleLabel.originY+25, width:self.width , height:15 )
    }
    
    required init?(coder aDecoder: NSCoder) {
        fatalError("init(coder:) has not been implemented")
    }
    
}
